/* html {
  filter: url(/cgi-bin/filter/dalton.pl#normal);
  } */

body {
  background-color: silver;
  color: black;
  }

a {
  color: darkred;
  }
a:visited {
  color: red;
  }
a:hover {
  color: darkblue;
  }
a:active {
  color: blue;
  background-color: white;
  }
a[aria-disabled="true"] {
  color: gray;
  }
a[aria-disabled="true"]:active {
  background-color: inherit;
  }
a.broken {
  color: black;
  background-color: silver;
  }

a:has(> img):active {
  background-color: inherit;
  }

:focus {
  text-shadow: white 1px 2px;
  }

hr {
  border: none;
  height: 1px;
  background-image: linear-gradient(270deg, rgba(0,0,0,0) 0%, rgba(0,0,0,.75) 25%, rgba(0,0,0,.75) 75%, rgba(0,0,0,0) 100%);
  }

div.notify, div.message {
  background: white;
  border: 1px solid black;
  color: black;
  }

.Toolterm {
  color: teal;
  }

.Toolterm:hover, .Toolterm:focus {
  border-bottom: 1px dotted red;
  }

img.Toolterm:hover, img.Toolterm:focus {
  border: 1px dotted red;
  }

div.Tooltip {
  border: 2px ridge #E7FFCF;
  background-color: #E7FFCF;
  color: black;
  }

div.CurrentLang, div.Language:hover {
  border: 1px inset gray;
  background-color: gray;
  }

div.Language {
  border: 1px outset silver;
  }

div.Language:active {
  background-color: white;
  }

a[rel~="glossary"] {
  color: green;
  }

blockquote {
  color: black;
  border: 1px solid black;
  background-color: white;
  transition: color 1.5s ease-out, border-color 1.0s ease 1.5s;
  }

blockquote[cite]:hover {
  color: green;
  border-color: green;
  transition: color 1.5s ease-out, border-color 1.0s ease 1.5s;
  }

blockquote:not([cite]):hover {
  color: red;
  border-color: red;
  transition: color 1.5s ease-out, border-color 1.0s ease 1.5s;
  }

textarea {
  color: white;
  background-color: gray;
  border: 2px inset gray;
  }

input[type="text"], input[type="password"], input[type="file"] {
  border: 1px inset gray;
  background-color: gray;
  color: white;
  }

button, input[type="submit"], input[type="reset"] {
  border: 1px outset silver;
  background-color: silver;
  color: black;
  }

button:hover, input[type="submit"]:hover, input[type="reset"]:hover {
  color: gray;
  }

button:active, input[type="submit"]:active, input[type="reset"]:active {
  color: red;
  background-color: silver;
  border: 1px inset gray;
  }

input[type="text"].error, textarea.error {
  background-color: darkred;
  border: 1px inset darkred;
  }

input[type="text"]:focus, input[type="password"]:focus, select:focus, textarea:focus, div.code:focus {
  text-shadow: black 1px 2px;
  }

input[readonly="readonly"] {
  color: black;
  text-shadow: none !important;
  }

select {
  border: 1px inset gray;
  background-color: gray;
  color: white;
  }

select[disabled="disabled"] {
  color: black;
  }

div.code::before {
  color: black;
  border-bottom: 2px groove gray;
  }

div.code {
  border: 1px inset gray;
  background-color: gray;
  color: white;
  }

table {
  border: 2px outset silver;
  }

table.grooved {
  border: 2px inset silver;
  }

th, td {
  border: 1px inset silver;
  }

table.grooved th, table.grooved td {
  border: 1px outset silver;
  }

table.plain tbody tr:nth-child(odd) {
  background-color: lightgray;
  }

div#Message {
  color: white;
  background-color: gray;
  border: 2px inset gray;
  }

div#ObjViewer {
  color: black;
  background-color: silver;
  border: 2px outset silver;
  }

div#ErrorReport {
  background: red;
  color: white;
  border: 3px outset silver;
  }

div#ErrorReport a {
  color: blue;
  }

div#ErrorReport textarea {
  background-color: darkred;
  border: 2px inset darkred;
  }

div#ErrorReport input[type="text"], div#ErrorReport select {
  background-color: darkred;
  border: 1px inset darkred;
  }

div#ErrorReport .empty {
  background-color: orange;
  color: black;
  }
            
span.cbox {
  border: 1px solid black;
  background: white;
  }

span.cbox.checked {
  background: black;
  }

span.cbox.disabled {
  border: 1px solid gray;
  background: silver;
  }

.modal {
  background-color: black;
  }
